> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Environment Variable

> Get a specific environment variable by ID



## OpenAPI

````yaml /api-reference/openapi.json get /v1/convai/environment-variables/{env_var_id}
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/convai/environment-variables/{env_var_id}:
    get:
      tags:
        - Agents Platform
      summary: Get Environment Variable
      description: Get a specific environment variable by ID
      operationId: get_environment_variable
      parameters:
        - name: env_var_id
          in: path
          required: true
          schema:
            type: string
            title: Env Var Id
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnvironmentVariableResponse'
        '404':
          description: Environment variable not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EnvironmentVariableResponse:
      properties:
        label:
          type: string
          title: Label
        created_at_unix_secs:
          type: integer
          title: Created At Unix Secs
        updated_at_unix_secs:
          type: integer
          title: Updated At Unix Secs
        created_by_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By User Id
        type:
          type: string
          enum:
            - string
            - secret
            - auth_connection
          title: Type
        id:
          type: string
          title: Id
        workspace_id:
          type: string
          title: Workspace Id
        values:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - additionalProperties:
                $ref: '#/components/schemas/EnvironmentVariableSecretValue'
              type: object
            - additionalProperties:
                $ref: '#/components/schemas/EnvironmentVariableAuthConnectionValue'
              type: object
          title: Values
      type: object
      required:
        - label
        - created_at_unix_secs
        - updated_at_unix_secs
        - type
        - id
        - workspace_id
        - values
      title: EnvironmentVariableResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EnvironmentVariableSecretValue:
      properties:
        secret_id:
          type: string
          title: Secret Id
      type: object
      required:
        - secret_id
      title: EnvironmentVariableSecretValue
    EnvironmentVariableAuthConnectionValue:
      properties:
        auth_connection_id:
          type: string
          title: Auth Connection Id
      type: object
      required:
        - auth_connection_id
      title: EnvironmentVariableAuthConnectionValue
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````